Run of scrub-obsolete for swaybg

Try this locally (using the package):

debcheckout swaybg
cd swaybg
DEB_UPDATE_CHANGELOG=auto deb-scrub-obsolete

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index e18452c..c1b53dc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+swaybg (1.0-3) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since buster:
+    + Build-Depends: Drop versioned constraint on meson and wayland-protocols.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sun, 29 Aug 2021 15:29:22 -0000
+
 swaybg (1.0-2) unstable; urgency=medium
 
   * d/control:
diff --git a/debian/control b/debian/control
index 8638dca..1a6732e 100644
--- a/debian/control
+++ b/debian/control
@@ -6,9 +6,9 @@ Uploaders: Birger Schacht <birger@rantanplan.org>,
            Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
- meson (>=0.48),
+ meson,
  libwayland-dev,
- wayland-protocols (>=1.14),
+ wayland-protocols,
  libcairo2-dev,
  libgdk-pixbuf2.0-dev,
  pkgconf,

Publish History

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t scrub-obsolete swaybg-dbgsym
apt install -t scrub-obsolete swaybg

Lintian Result

Full worker log Full build log